## Mbox to Markdown converter

This simple docker image can be used to convert a .mbox file (for example from a google gmail account export / take out) to convert it to markdown files.
I used it for archive purposes, wanted to store my old gmail emails.
Nothing fancy, but usefull for those who dont want to use online converters nor mess with python directly.

NOTE: In my case, a 9GB .mbox file of a Gmail mail account took around 4-5 hours because the preperation of the html files takes in this in-efficient way some time. But it gets there eventually ;)

## Usage:

If you just want to use the prebuild package, its available for arm64 and amd64 arch.

```
docker run --rm -v ./mbox-files:/mnt/input -v ./output/:/mnt/output git.nucleolus.xyz/fblume/mbox-to-markdown:latest
```

1. run this command to start the tool
2. copy your .mbox file into the subdirectory "mbox-files"
3. depending on the size of the mbox-file be patient
4. in the subdirectory "output" you will find all Emails in markdown files with the subject, sender, reciever, and date as file name



## Build yourself

```
docker build -t mbox-to-markdown .

docker run --rm -v ./mbox-files:/mnt/input -v ./output/:/mnt/output mbox-to-markdown
```
